Bug 570254 - gemcutter cannot be activated
gemcutter cannot be activated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-gemcutter (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 570139 570252
  Show dependency treegraph
 
Reported: 2010-03-03 12:07 EST by Mamoru TASAKA
Modified: 2010-03-17 23:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: rubygem-gemcutter-0.3.0-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-17 23:21:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-03-03 12:07:20 EST
Description of problem:
Well,

[tasaka1@localhost ~]$ rpm -q rubygem-gemcutter
rubygem-gemcutter-0.3.0-2.fc13.noarch
[tasaka1@localhost ~]$ ruby -rubygems -e 'gem "gemcutter"'
/usr/lib/ruby/site_ruby/1.8/rubygems.rb:827:in `report_activate_error': Could not find RubyGem json_pure (>= 0) (Gem::LoadError)
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:261:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:296:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:295:in `each'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:295:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:68:in `gem'
        from -e:1


Version-Release number of selected component (if applicable):
rubygem-gemcutter-0.3.0-2.fc13.noarch

How reproducible:
100%

Steps to Reproduce:
1. See above
2.
3.
Comment 1 Mamoru TASAKA 2010-03-03 12:20:52 EST
I will fix for this issue.
Note that the latest gemcutter is 0.4.1. Please consider to
update gemcutter to the latest at least on F-13+.
Comment 2 Fedora Update System 2010-03-03 13:19:19 EST
rubygem-gemcutter-0.3.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-gemcutter-0.3.0-3.fc11
Comment 3 Fedora Update System 2010-03-03 13:45:31 EST
rubygem-gemcutter-0.3.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-gemcutter-0.3.0-3.fc12
Comment 4 Fedora Update System 2010-03-03 14:17:08 EST
rubygem-gemcutter-0.3.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-gemcutter-0.3.0-3.fc12
Comment 5 Fedora Update System 2010-03-03 14:17:59 EST
rubygem-gemcutter-0.3.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-gemcutter-0.3.0-3.fc13
Comment 6 Fedora Update System 2010-03-03 20:34:35 EST
rubygem-gemcutter-0.3.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-03-05 22:53:01 EST
rubygem-gemcutter-0.3.0-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-gemcutter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-gemcutter-0.3.0-3.fc12
Comment 8 Fedora Update System 2010-03-17 23:21:47 EDT
rubygem-gemcutter-0.3.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-17 23:32:55 EDT
rubygem-gemcutter-0.3.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.